CON
  _clkmode      = xtal1 + pll16x                        'use crystal x 16
  _xinfreq      = 5_000_000                             'external xtal speed (change to 5MHz for most setups)
  LEDqty        = 50                                    ' 
  PinLEDclock   = 17                                    '
  PinLEDdata    = 16                                    '

VAR
  long LEDtemp                                   
  long LEDstrip1[LEDqty]                                    
  word LEDindex
  word LEDbit
  word LEDoffset
  long LEDred
  long LEDblue
  long LEDgreen
  byte greennum
  byte rednum
  byte bluenum
  
OBJ
  Strip1 : "SendLED"

PUB Main        

  'set up LED RGB data starting with low current pattern
  'DATA FORMAT RrrrrGggggBbbbb
  Ledstrip1[00] := %111111001111111
  Ledstrip1[01] := %111111111111111          
  Ledstrip1[02] := %111111111111111         
  Ledstrip1[03] := %111111111111111          
  Ledstrip1[04] := %100111111110011        
  Ledstrip1[05] := %111001100111111          
  Ledstrip1[06] := %111000000001111          
  Ledstrip1[07] := %111110000000000         
  Ledstrip1[08] := %000001111100000       
  Ledstrip1[09] := %000000000011111
  Ledstrip1[10] := %111110000000000         
  Ledstrip1[11] := %000001111100000       
  Ledstrip1[12] := %000000000011111           
  Ledstrip1[13] := %111110000000000         
  Ledstrip1[14] := %000001111100000       
  Ledstrip1[15] := %000000000011111  
  
  Strip1.Start(PinLEDclock, PinLEDdata, LEDqty, @LEDStrip1{0})

DAT